/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct Error {
    /// A message with the error description.
    #[serde(rename = "error")]
    pub error: String,
    /// Further details on where and why this error happened.
    #[serde(rename = "details")]
    pub details: String,
}

impl Error {
    pub fn new(error: String, details: String) -> Error {
        Error { error, details }
    }
}
